Bug 78471 - FILEOPEN: Calc fails to import shared formulas from BIFF5 (Excel 5.0/95)
Summary: FILEOPEN: Calc fails to import shared formulas from BIFF5 (Excel 5.0/95)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-09 07:25 UTC by Nikos
Modified: 2015-02-17 22:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
problematic formula handling (48.50 KB, application/vnd.ms-excel)
2014-05-09 07:25 UTC, Nikos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos 2014-05-09 07:25:20 UTC
Created attachment 98732 [details]
problematic formula handling

Open the attached file in LibreOffice 4.2.4
Open the attached file in Libreoffice 4.1.6
notice the differences
(some sums are lost)

The attached file is of an old Excel binary type. However, I have similar issues with ods files, which however I cannot reliably reproduce and which unfortunately are in files which I can not depersonalize.

OT:
The 4.2 branch is very unreliable with files created in prior versions.
I will try submitting some more related bugs on the WE (maybe with better descriptions ;-))

I hope the hunting session in two weeks, will iron a lot of those out. Thank you for a, generally, great piece of software.
Comment 1 m.a.riosv 2014-05-09 21:52:52 UTC
Hi Nikos, thanks for reporting.

Reproducible:
Win7x64Ultimate
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Version: 4.3.0.0.alpha1+ Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
   TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Last working:
Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

I think there was some issues with files having e.g. languages different than occidental.
Comment 2 Kohei Yoshida 2014-05-10 03:09:28 UTC
It's a very old Excel format (prior to 97).
Comment 3 Nikos 2014-05-12 08:48:52 UTC
It is true, that the format is quite old. Unfortunately it is still produced as an output by a lot of accounting software here in Greece...
Comment 4 Nikos 2014-05-12 08:49:39 UTC
...and it is a regression with dataloss.
Comment 5 Kohei Yoshida 2014-05-12 13:32:11 UTC
No worries, we'll fix it.  But we just have to do proper prioritization first.
Comment 6 Kohei Yoshida 2014-05-13 17:50:04 UTC
I'm on this.
Comment 7 Commit Notification 2014-05-13 18:05:16 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14e21865443a7318c715c2f9ff655d5b21f716ea

fdo#78471: Write test for import of shared formulas from BIFF5.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-13 18:05:29 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=286760359bae7e21a772dd104ab17a1df69a57b0

fdo#78471: Don't forget to record the ID of the last record for BIFF5.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2014-05-13 18:05:51 UTC
4.2 backport: https://gerrit.libreoffice.org/9347

The fix was trivial.
Comment 10 Nikos 2014-05-14 06:35:09 UTC
Thank you!
Comment 11 Commit Notification 2014-05-16 08:31:25 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f1f935beee8495168b19f4b5e02bde8a9399154&h=libreoffice-4-2

fdo#78471: Don't forget to record the ID of the last record for BIFF5.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 m.a.riosv 2014-05-28 23:34:06 UTC
Thanks Kohei,
verified:
Win7x64
Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
Version: 4.2.6.0.0+ Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-28_10:43:01
Version: 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Version: 4.4.0.0.alpha0+ Win-x86@39, Branch:master, Time: 2014-05-26_01:36:09